import { Color } from '@nativescript/core/color';
import { applyMixins } from './core.common';
export { applyMixins };
export declare class Themer {
    primaryColor: string | Color;
    accentColor: string | Color;
    secondaryColor: string | Color;
    primaryColorVariant: string | Color;
    surfaceColor: string | Color;
    onSurfaceColor: string | Color;
    getOrcreateAppColorScheme(): void;
    getAppColorScheme(): void;
    setPrimaryColor(value: string | Color): void;
    getPrimaryColor(): string | Color;
    setAccentColor(value: string | Color): void;
    getAccentColor(): string | Color;
    setSurfaceColor(value: string | Color): void;
    getSurfaceColor(): string | Color;
    setOnSurfaceColor(value: string | Color): void;
    getOnSurfaceColor(): string | Color;
    setPrimaryColorVariant(value: string | Color): void;
    getPrimaryColorVariant(): string | Color;
    setSecondaryColor(value: string | Color): void;
    getSecondaryColor(): string | Color;
}
export declare const themer: Themer;
export declare function install(): void;
export declare function getRippleColor(color: string | Color): number;
export declare function overrideViewBase(): void;
export declare function installMixins(): void;
