Object.defineProperty(exports, "__esModule", { value: true });
exports.digitsProperty = exports.buttonColorProperty = exports.strokeInactiveColorProperty = exports.strokeColorProperty = exports.floatingInactiveColorProperty = exports.floatingColorProperty = exports.floatingProperty = exports.maxLengthProperty = exports.errorProperty = exports.helperProperty = exports.errorColorProperty = void 0;
var core_1 = require("@nativescript/core");
var properties_1 = require("@nativescript/core/ui/core/properties/properties");
var view_base_1 = require("@nativescript/core/ui/core/view-base");
exports.errorColorProperty = new properties_1.CssProperty({
    name: 'errorColor',
    cssName: 'error-color',
    equalityComparer: core_1.Color.equals,
    valueConverter: function (v) { return new core_1.Color(v); },
});
exports.errorColorProperty.register(core_1.Style);
exports.helperProperty = new properties_1.CssProperty({
    name: 'helper',
    cssName: 'helper',
});
exports.helperProperty.register(core_1.Style);
exports.errorProperty = new properties_1.CssProperty({
    name: 'error',
    cssName: 'error',
});
exports.errorProperty.register(core_1.Style);
exports.maxLengthProperty = new properties_1.CssProperty({
    name: 'maxLength',
    cssName: 'max-length',
    valueConverter: function (v) { return parseFloat(v); },
});
exports.maxLengthProperty.register(core_1.Style);
exports.floatingProperty = new properties_1.CssProperty({
    name: 'floating',
    cssName: 'floating',
    valueConverter: view_base_1.booleanConverter,
});
exports.floatingProperty.register(core_1.Style);
exports.floatingColorProperty = new properties_1.CssProperty({
    name: 'floatingColor',
    cssName: 'floating-color',
    equalityComparer: core_1.Color.equals,
    valueConverter: function (v) { return new core_1.Color(v); },
});
exports.floatingColorProperty.register(core_1.Style);
exports.floatingInactiveColorProperty = new properties_1.CssProperty({
    name: 'floatingInactiveColor',
    cssName: 'floating-inactive-color',
    equalityComparer: core_1.Color.equals,
    valueConverter: function (v) { return new core_1.Color(v); },
});
exports.floatingInactiveColorProperty.register(core_1.Style);
exports.strokeColorProperty = new properties_1.CssProperty({
    name: 'strokeColor',
    cssName: 'stroke-color',
    equalityComparer: core_1.Color.equals,
    valueConverter: function (v) { return new core_1.Color(v); },
});
exports.strokeColorProperty.register(core_1.Style);
exports.strokeInactiveColorProperty = new properties_1.CssProperty({
    name: 'strokeInactiveColor',
    cssName: 'stroke-inactive-color',
    equalityComparer: core_1.Color.equals,
    valueConverter: function (v) { return new core_1.Color(v); },
});
exports.strokeInactiveColorProperty.register(core_1.Style);
exports.buttonColorProperty = new properties_1.CssProperty({
    name: 'buttonColor',
    cssName: 'button-color',
    equalityComparer: core_1.Color.equals,
    valueConverter: function (v) { return new core_1.Color(v); },
});
exports.buttonColorProperty.register(core_1.Style);
exports.digitsProperty = new properties_1.CssProperty({
    name: 'digits',
    cssName: 'digits',
});
exports.digitsProperty.register(core_1.Style);
//# sourceMappingURL=cssproperties.js.map