import { Color, Style } from '@nativescript/core';
import { CssProperty, InheritedCssProperty } from '@nativescript/core/ui/core/properties/properties';
import { Length } from '@nativescript/core/ui/styling/style-properties';
import { VerticalTextAlignment } from './core';
export declare const cssProperty: (target: Object, key: string | symbol) => void;
export declare const rippleColorProperty: CssProperty<Style, Color>;
export declare const elevationProperty: CssProperty<Style, Length>;
export declare const dynamicElevationOffsetProperty: CssProperty<Style, Length>;
export declare const variantProperty: CssProperty<Style, string>;
export declare const verticalTextAlignmentProperty: InheritedCssProperty<Style, VerticalTextAlignment>;
